package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartSubjectManage;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-08
 */
public interface SmartSubjectManageService extends IService<SmartSubjectManage> {

    public int insertSmartSubjectManage(SmartSubjectManage sa);

    public int updateSmartSubjectManage(SmartSubjectManage sa);

    public PageUtils<SmartSubjectManage> queryPageSmartSubjectManage(int currentPage, int pageCount, QueryWrapper<SmartSubjectManage> queryWrapper);

    public int deleteSmartSubjectManageById(int id);

    public SmartSubjectManage getSmartSubjectManageById(int id);

    public List<SmartSubjectManage> getSmartSubjectManageList();

    public List<SmartSubjectManage> getSmartSubjectManageByKey(QueryWrapper<SmartSubjectManage> queryWrapper);

    public String getMaxTerm();
}
